***************************************************************************
** This code generates the Appendix Figure 1, which reports the 		 **
** time distribution of survey answers									 **
***************************************************************************

clear all

local dir `c(pwd)'

	if substr("`dir'",1,18) == "C:\Users\Francesco"{
	global user "C:\Users\Francesco"
	}
	
	if substr("`dir'",1,21) == "/Users/albertobinetti"{
	global user "/Users/albertobinetti"
	}
		
	if substr("`dir'",1,11) == "C:\Users\hp"{
	global user "C:/Users/hp"
	global dir "$user/Dropbox/inflation_understanding_replication"

	}	
	
	if substr("`dir'",1,14) == "C:\Users\alfon"{
	global user "C:/Users/alfon"
	global dir "$user/Dropbox/inflation_understanding_replication"

	}	


global code "$dir/replication_package/code"
global data "$dir/replication_package/data"
global figures "$dir/replication_package/output/main/figures"

use "$data/inflation_understanding_variables.dta", clear

******************************************************************************
******************************************************************************


*** set general style
grstyle init
grstyle set plain
set scheme modern
graph set window fontface "LMRoman10-Regular"


******************************************************
** Create the figure for generic time distribution  **
******************************************************

{
su Durationinminutes if Durationinminutes <120, det
return list

hist Durationinminutes if Durationinminutes <120 , color(dknavy) width(5) xline(`r(mean)', lcolor(dknavy) lwidth(thick)) xline(`r(p50)', lcolor(red) lwidth(thick)) ///
	xaxis(1 2) xtitle(" " "Time spent on survey", axis(1) size(large)) xtitle("", axis(2) size(medium)) xlabel(0(10)120, nogrid) xlabel(`r(mean)' "Mean" `r(p50)' "Median", axis(2) angle(45) labsize(medium)) ylabel(, nogrid)   
graph display, ysize(5) xsize(8)
graph export "$appendix_figures/figa1.png", as(png) replace
}
