*********************************************************************************
** This code generates Figure 8, which reports the Average Marginal Component  **
** Effect (AMCE) estimation of the conjoint experiment. Each dot represents    **
** the AMCE for the corresponding level of inflation or unemployment estimated ** 
** with the conjoint command introduced in Frith (2021).                       **
*********************************************************************************


clear all

use "$data/inflation_understanding_conjoint.dta", clear

*********************************************************************************

*** By income (low vs high)
preserve
drop if incomegroup_agg==2
label define temp 1 "Less than 39k" 3 "More than 125k"
label values incomegroup_agg temp
conjoint chosen u pi, estimate(amce) graph id(*Id) subgroup(incomegroup_agg)
graph export $appendix_figures/figa11_1.png, as(png) replace
restore

*** By age
conjoint chosen u pi, estimate(amce) graph id(*Id) subgroup(agegroup_agg)
graph export $appendix_figures/figa11_2.png, as(png) replace

