*********************************************************************************
** This code generates Figure 8, which reports the Average Marginal Component  **
** Effect (AMCE) estimation of the conjoint experiment. Each dot represents    **
** the AMCE for the corresponding level of inflation or unemployment estimated ** 
** with the conjoint command introduced in Frith (2021).                       **
*********************************************************************************


clear all

use "$data/inflation_understanding_conjoint.dta", clear

*********************************************************************************

*** Full sample
conjoint chosen u pi, estimate(amce) graph id(*Id) 
graph export $figures/fig8_1.png, as(png) replace 


*** By political leaning (Democrat vs Republicn)
preserve
drop if political_agg==3
conjoint chosen u pi, estimate(amce) graph id(*Id) subgroup(political_agg)
graph export $figures/fig8_2.png, as(png) replace
restore
