* Master .do file - replication package for "Understanding Inflation"
* Date: January, 2025

	
** Set directories **
*global dir ""
global code "$dir/replication_package/code"
global data "$dir/replication_package/data"
global figures "$dir/replication_package/output/main/figures"
global tables "$dir/replication_package/output/main/tables"
global appendix_figures "$dir/replication_package/output/appendix/figures"
global appendix_tables "$dir/replication_package/output/appendix/tables"




*************************************************
**# Prepare dataset:
*** to be run before creating pictures and tables
*************************************************

do "$code/data_cleaning/1_merge.do"

do "$code/data_cleaning/2_inattentives.do"

do "$code/data_cleaning/3_encoding.do"

do "$code/data_cleaning/4_variables_creation.do"

* Prepare also final dataset for conjoint experiment
do "$code/data_cleaning/5_a_conjointprepare.do"


*********************************************
**# Generate all the figures of the main text 
*********************************************

do "$code/main/figures/fig1.do"

do "$code/main/figures/fig2.do"

do "$code/main/figures/fig3.do"

do "$code/main/figures/fig4.do"

do "$code/main/figures/fig5.do"

do "$code/main/figures/fig6.do"

do "$code/main/figures/fig8.do"

do "$code/main/figures/fig9.do"

do "$code/main/figures/fig10.do"

do "$code/main/figures/fig11.do"



********************************************
**# Generate all the tables of the main text 
********************************************

do "$code/main/tables/tab1.do"

do "$code/main/tables/tab6.do"

do "$code/main/tables/tab7.do"



********************************************
**# Generate all the figures of the appendix 
********************************************

do "$code/appendix/figures/figa1.do"

do "$code/appendix/figures/figa4.do"

do "$code/appendix/figures/figa5.do"

do "$code/appendix/figures/figa6.do"

do "$code/appendix/figures/figa7.do"

do "$code/appendix/figures/figa8.do"

do "$code/appendix/figures/figa9.do"

do "$code/appendix/figures/figa10.do"

do "$code/appendix/figures/figa11.do"

do "$code/appendix/figures/figa12.do"

do "$code/appendix/figures/figa13.do"

do "$code/appendix/figures/figa14.do"

do "$code/appendix/figures/figa15.do"

do "$code/appendix/figures/figa16.do"

do "$code/appendix/figures/figa17.do"

do "$code/appendix/figures/figa18.do"

do "$code/appendix/figures/figa19.do"

do "$code/appendix/figures/figa21.do"

do "$code/appendix/figures/figa22.do"



*******************************************
**# Generate all the tables of the appendix 
*******************************************

do "$code/appendix/tables/taba1.do"

do "$code/appendix/tables/taba3.do"

do "$code/appendix/tables/taba4.do"

do "$code/appendix/tables/taba5.do"

do "$code/appendix/tables/taba6.do"

do "$code/appendix/tables/taba7.do"

do "$code/appendix/tables/taba8.do"

do "$code/appendix/tables/taba9.do"

do "$code/appendix/tables/taba10.do"

do "$code/appendix/tables/taba11.do"

do "$code/appendix/tables/taba12.do"

do "$code/appendix/tables/taba13.do"

do "$code/appendix/tables/taba14.do"

do "$code/appendix/tables/taba15.do"

do "$code/appendix/tables/taba16.do"

do "$code/appendix/tables/taba17.do"

do "$code/appendix/tables/taba18.do"

do "$code/appendix/tables/taba19.do"

do "$code/appendix/tables/taba20.do"

do "$code/appendix/tables/taba21.do"

do "$code/appendix/tables/taba22.do"

do "$code/appendix/tables/taba23.do"

do "$code/appendix/tables/taba24.do"

do "$code/appendix/tables/taba25.do"



**## Prepare dataset with all observations for attrition analysis and generate table A26

* Prepare the appendix dataset
do "$code/appendix/tables/taba26/0creating_dataset_attrition.do"

do "$code/appendix/tables/taba26/1.1inattentive_attrition.do"

do "$code/appendix/tables/taba26/1.2encoding_variables_attrition.do"

do "$code/appendix/tables/taba26/1.3generate_variables_attrition.do"

* Generate table A26
do "$code/appendix/tables/taba26/taba26.do"



